program boxo;

{$APPTYPE CONSOLE}

uses
  SysUtils;
type
 ara=0..10000;
var
 fin,fout:textfile;
 w,h:array[1..6] of ara;
 d:array[1..6] of int64;
 i,j,s:ara;
 wc:array[1..6] of boolean;
begin
  { TODO -oUser -cConsole Main : Insert code here }
  assignfile(fin,'box.in');
  assignfile(fout,'box.out');
  reset(fin);rewrite(fout);
  for i:=1 to 6 do
   readln(fin,w[i],h[i]);
  closefile(fin);
  for i:=1 to 6 do
   begin
    d[i]:=sqr(w[i])+sqr(h[i]);
    wc[i]:=false;
   end;
  for i:=1 to 6 do
   begin s:=0;
    for j:=1 to 6 do
     if d[i]=d[j] then inc(s);
    if not odd(s) then wc[i]:=true;
   end;
  s:=0;
  for i:=1 to 6 do
   if wc[i] then inc(s);
  if s=6 then writeln(fout,'POSSIBLE') else
   writeln(fout,'IMPOSSIBLE');
  closefile(fout);
end.
